%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?pyver: %define pyver %(%{__python} -c "import sys ; print sys.version[:3]")}

Name: luci
Version: 0.21.0
Release: 5%{?dist}
Summary: Web-based cluster administration application
Group: Applications/System
License: GPLv2
URL: http://sources.redhat.com/cluster/conga
Source0: http://people.redhat.com/rmccabe/luci/luci-0.21.0.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch
BuildRequires: python-devel python-setuptools python-paste python-paste-script
Requires: TurboGears2 python-tw-jquery python-repoze-what-quickstart python-catwalk python-tg-devtools
Requires(post): chkconfig initscripts
Requires(preun): chkconfig initscripts
Requires(postun): initscripts

%description
Luci is a web-based cluster administration application built on the
TurboGears 2 framework.

%prep
%setup -q

%build
python setup.py build

%install
rm -rf %{buildroot}
python setup.py install --skip-build --root %{buildroot}
cd init.d && make DESTDIR=%{buildroot} install;cd ..
cd config && make DESTDIR=%{buildroot} install;cd ..

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README.txt COPYING
%{python_sitelib}/%{name}-%{version}-py%{pyver}.egg-info/
%{python_sitelib}/luci

%config(noreplace)      %{_localstatedir}/lib/luci/etc/luci.ini
%attr(0600,luci,luci)   %{_localstatedir}/lib/luci/etc/luci.ini
%attr(0750,luci,luci)   %{_localstatedir}/lib/luci
%config(noreplace)      %{_sysconfdir}/rc.d/init.d/luci


%pre
getent group luci >/dev/null || groupadd -r luci
getent passwd luci >/dev/null || useradd -r -g luci -d /var/lib/luci -s /sbin/nologin -c "luci user" luci
exit 0

%post
/sbin/chkconfig --add luci
exit 0

%preun
if [ "$1" == "0" ]; then
    /sbin/service luci stop >&/dev/null
    /sbin/chkconfig --del luci 
fi
exit 0

%postun
if [ "$1" == "1" ]; then
    /sbin/service luci condrestart >&/dev/null
fi
exit 0

%changelog
* Wed Nov 04 2009 Ryan McCabe <rmccabe@redhat.com> - 0.21.0-4
- And again.

* Wed Nov 04 2009 Ryan McCabe <rmccabe@redhat.com> - 0.21.0-2
- Fix missing build dep.

* Tue Nov 03 2009 Ryan McCabe <rmccabe@redhat.com> - 0.21.0-1
- Add init script.
- Run as the luci user, not root.
- Turn off debugging.

* Fri Sep 25 2009 Ryan McCabe <rmccabe@redhat.com> - 0.20.0-1
- Initial build.
